Bug 1862297 - conftest.c:1: internal compiler error: Segmentation fault
Summary: conftest.c:1: internal compiler error: Segmentation fault
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 33
Hardware: aarch64
OS: Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-30 23:38 UTC by Robert Scheck
Modified: 2021-11-30 16:26 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 16:26:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert Scheck 2020-07-30 23:38:47 UTC
Description of problem:
I'm not sure if this is really a GCC issue, but I believe so.

Version-Release number of selected component (if applicable):
gcc-10.2.1-1.fc32

How reproducible:
Try to rebuild rpki-client-6.7p1-1.fc33 for Fedora 32, it will fail on aarch64 only. The upstream differences to rpki-client-6.7p0-1.fc33 are minimal (https://github.com/rpki-client/rpki-client-openbsd/commit/eccb7a86eafec8857bb102e64ca4cece3aa8a161), and that rebuild worked (but with an older GCC).

Actual results:
conftest.c:1: internal compiler error: Segmentation fault

Expected results:
Working rebuild, even on aarch64.

Additional info:
Mock Version: 2.3
Mock Version: 2.3
Mock Version: 2.3
ENTER ['do_with_status'](['bash', '--login', '-c', '/usr/bin/rpmbuild -bs --target aarch64 --nodeps /builddir/build/SPECS/rpki-client.spec'], chrootPath='/var/lib/mock/f32-build-21890457-1802791/root'env={'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'C.UTF-8'}shell=Falselogger=<mockbuild.trace_decorator.getLog object at 0xffff90590ac0>timeout=201600uid=1000gid=425user='mockbuild'nspawn_args=[]unshare_net=TrueprintOutput=False)
Executing command: ['bash', '--login', '-c', '/usr/bin/rpmbuild -bs --target aarch64 --nodeps /builddir/build/SPECS/rpki-client.spec'] with env {'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'C.UTF-8'} and shell False
Building target platforms: aarch64
Building for target aarch64
setting SOURCE_DATE_EPOCH=1595980800
Wrote: /builddir/build/SRPMS/rpki-client-6.7p1-1.fc32.src.rpm
Child return code was: 0
ENTER ['do_with_status'](['bash', '--login', '-c', '/usr/bin/rpmbuild -bb --target aarch64 --nodeps /builddir/build/SPECS/rpki-client.spec'], chrootPath='/var/lib/mock/f32-build-21890457-1802791/root'env={'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'C.UTF-8'}shell=Falselogger=<mockbuild.trace_decorator.getLog object at 0xffff90590ac0>timeout=201600uid=1000gid=425user='mockbuild'nspawn_args=[]unshare_net=TrueprintOutput=False)
Executing command: ['bash', '--login', '-c', '/usr/bin/rpmbuild -bb --target aarch64 --nodeps /builddir/build/SPECS/rpki-client.spec'] with env {'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'C.UTF-8'} and shell False
Building target platforms: aarch64
Building for target aarch64
setting SOURCE_DATE_EPOCH=1595980800
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.VC8jIj
+ umask 022
+ cd /builddir/build/BUILD
+ /usr/lib/rpm/redhat/gpgverify --keyring=/builddir/build/SOURCES/gpgkey-B5B6416FEA6DDA05EA562A9FCB987F2783972FF9.gpg --signature=/builddir/build/SOURCES/rpki-client-6.7p1.tar.gz.asc --data=/builddir/build/SOURCES/rpki-client-6.7p1.tar.gz
gpgv: Signature made Mon Jul 27 20:38:16 2020 UTC
gpgv:                using RSA key B5B6416FEA6DDA05EA562A9FCB987F2783972FF9
gpgv: Good signature from "Sebastian Benoit (software signing only) <benno>"
+ cd /builddir/build/BUILD
+ rm -rf rpki-client-6.7p1
+ /usr/bin/gzip -dc /builddir/build/SOURCES/rpki-client-6.7p1.tar.gz
+ /usr/bin/tar -xof -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd rpki-client-6.7p1
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ cp -pf /builddir/build/SOURCES/TALs.md .
+ RPM_EC=0
++ jobs -p
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.HcEoCm
+ umask 022
+ cd /builddir/build/BUILD
+ cd rpki-client-6.7p1
+ CFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fasynchronous-unwind-tables -fstack-clash-protection'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fasynchronous-unwind-tables -fstack-clash-protection'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fasynchronous-unwind-tables -fstack-clash-protection -I/usr/lib64/gfortran/modules'
+ export FFLAGS
+ FCFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fasynchronous-unwind-tables -fstack-clash-protection -I/usr/lib64/gfortran/modules'
+ export FCFLAGS
+ LDFLAGS='-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
+ export LDFLAGS
+ LT_SYS_LIBRARY_PATH=/usr/lib64:
+ export LT_SYS_LIBRARY_PATH
+ '[' 1 = 1 ']'
+++ dirname ./configure
++ find . -name config.guess -o -name config.sub
+ for i in $(find $(dirname ./configure) -name config.guess -o -name config.sub)
++ basename ./config.guess
+ '[' -f /usr/lib/rpm/redhat/config.guess ']'
+ /usr/bin/rm -f ./config.guess
++ basename ./config.guess
+ /usr/bin/cp -fv /usr/lib/rpm/redhat/config.guess ./config.guess
'/usr/lib/rpm/redhat/config.guess' -> './config.guess'
+ for i in $(find $(dirname ./configure) -name config.guess -o -name config.sub)
++ basename ./config.sub
+ '[' -f /usr/lib/rpm/redhat/config.sub ']'
+ /usr/bin/rm -f ./config.sub
++ basename ./config.sub
+ /usr/bin/cp -fv /usr/lib/rpm/redhat/config.sub ./config.sub
'/usr/lib/rpm/redhat/config.sub' -> './config.sub'
+ '[' 1 = 1 ']'
+ '[' x '!=' 'x-Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld' ']'
++ find . -name ltmain.sh
+ for i in $(find . -name ltmain.sh)
+ /usr/bin/sed -i.backup -e 's~compiler_flags=$~compiler_flags="-Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld"~' ./ltmain.sh
+ ./configure --build=aarch64-redhat-linux-gnu --host=aarch64-redhat-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-user=rpki-client --with-tal-dir=/etc/pki/tals --with-base-dir=/var/cache/rpki-client --with-output-dir=/var/lib/rpki-client
checking build system type... aarch64-redhat-linux-gnu
checking host system type... aarch64-redhat-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
checking for aarch64-redhat-linux-gnu-cc... no
checking for aarch64-redhat-linux-gnu-gcc... no
checking for cc... cc
checking whether the C compiler works... no
configure: error: in `/builddir/build/BUILD/rpki-client-6.7p1':
configure: error: C compiler cannot create executables
See `config.log' for more details
+ cat config.log
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by rpki-client configure 6.7p1, which was
generated by GNU Autoconf 2.69.  Invocation command line was
  $ ./configure --build=aarch64-redhat-linux-gnu --host=aarch64-redhat-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-user=rpki-client --with-tal-dir=/etc/pki/tals --with-base-dir=/var/cache/rpki-client --with-output-dir=/var/lib/rpki-client
## --------- ##
## Platform. ##
## --------- ##
hostname = buildvm-a64-23.iad2.fedoraproject.org
uname -m = aarch64
uname -r = 5.6.19-300.fc32.aarch64
uname -s = Linux
uname -v = #1 SMP Wed Jun 17 16:06:11 UTC 2020
/usr/bin/uname -p = aarch64
/bin/uname -X     = unknown
/bin/arch              = aarch64
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo      = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown
PATH: /usr/bin
PATH: /bin
PATH: /usr/sbin
PATH: /sbin
PATH: /usr/local/sbin
## ----------- ##
## Core tests. ##
## ----------- ##
configure:2299: checking build system type
configure:2313: result: aarch64-redhat-linux-gnu
configure:2333: checking host system type
configure:2346: result: aarch64-redhat-linux-gnu
configure:2382: checking for a BSD-compatible install
configure:2450: result: /usr/bin/install -c
configure:2461: checking whether build environment is sane
configure:2516: result: yes
configure:2665: checking for a thread-safe mkdir -p
configure:2704: result: /usr/bin/mkdir -p
configure:2711: checking for gawk
configure:2727: found /usr/bin/gawk
configure:2738: result: gawk
configure:2749: checking whether make sets $(MAKE)
configure:2771: result: yes
configure:2800: checking whether make supports nested variables
configure:2817: result: yes
configure:2955: checking whether make supports nested variables
configure:2972: result: yes
configure:2993: checking for aarch64-redhat-linux-gnu-cc
configure:3023: result: no
configure:2993: checking for aarch64-redhat-linux-gnu-gcc
configure:3023: result: no
configure:3037: checking for cc
configure:3053: found /usr/bin/cc
configure:3064: result: cc
configure:3095: checking for C compiler version
configure:3104: cc --version >&5
cc (GCC) 10.2.1 20200723 (Red Hat 10.2.1-1)
Copyright (C) 2020 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:3115: $? = 0
configure:3104: cc -v >&5
Using built-in specs.
COLLECT_GCC=cc
COLLECT_LTO_WRAPPER=/usr/libexec/gcc/aarch64-redhat-linux/10/lto-wrapper
Target: aarch64-redhat-linux
Configured with: ../configure --enable-bootstrap --enable-languages=c,c++,fortran,objc,obj-c++,ada,go,lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl --enable-gnu-indirect-function --build=aarch64-redhat-linux
Thread model: posix
Supported LTO compression algorithms: zlib zstd
gcc version 10.2.1 20200723 (Red Hat 10.2.1-1) (GCC) 
configure:3115: $? = 0
configure:3104: cc -V >&5
cc: error: unrecognized command-line option '-V'
cc: fatal error: no input files
compilation terminated.
configure:3115: $? = 1
configure:3104: cc -qversion >&5
cc: error: unrecognized command-line option '-qversion'; did you mean '--version'?
cc: fatal error: no input files
compilation terminated.
configure:3115: $? = 1
configure:3135: checking whether the C compiler works
configure:3157: cc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fasynchronous-unwind-tables -fstack-clash-protection  -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld conftest.c  >&5
annobin: conftest.c: AArch64: The annobin plugin is out of date with respect to gcc
*** WARNING *** there are active plugins, do not report this as a bug unless you can reproduce it without enabling any plugins.
Event                            | Plugins
PLUGIN_FINISH_UNIT               | annobin: Generate final annotations
PLUGIN_START_UNIT                | annobin: Generate global annotations
PLUGIN_ALL_PASSES_START          | annobin: Generate per-function annotations
PLUGIN_ALL_PASSES_END            | annobin: Register per-function end symbol
conftest.c:1: internal compiler error: Segmentation fault
    1 | /* confdefs.h */
      | 
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccZiMQLL.out file, please attach this to your bugreport.
configure:3161: $? = 1
configure:3199: result: no
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "rpki-client"
| #define PACKAGE_TARNAME "rpki-client"
| #define PACKAGE_VERSION "6.7p1"
| #define PACKAGE_STRING "rpki-client 6.7p1"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE_URL ""
| #define PACKAGE "rpki-client"
| #define VERSION "6.7p1"
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| 
|   ;
|   return 0;
| }
configure:3204: error: in `/builddir/build/BUILD/rpki-client-6.7p1':
configure:3206: error: C compiler cannot create executables
See `config.log' for more details
## ---------------- ##
## Cache variables. ##
## ---------------- ##
ac_cv_build=aarch64-redhat-linux-gnu
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fasynchronous-unwind-tables -fstack-clash-protection'
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value='-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=set
ac_cv_env_build_alias_value=aarch64-redhat-linux-gnu
ac_cv_env_host_alias_set=set
ac_cv_env_host_alias_value=aarch64-redhat-linux-gnu
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_host=aarch64-redhat-linux-gnu
ac_cv_path_install='/usr/bin/install -c'
ac_cv_path_mkdir=/usr/bin/mkdir
ac_cv_prog_AWK=gawk
ac_cv_prog_ac_ct_CC=cc
ac_cv_prog_make_make_set=yes
am_cv_make_support_nested_variables=yes
## ----------------- ##
## Output variables. ##
## ----------------- ##
ACLOCAL='${SHELL} /builddir/build/BUILD/rpki-client-6.7p1/missing aclocal-1.16'
AMDEPBACKSLASH=''
AMDEP_FALSE=''
AMDEP_TRUE=''
AMTAR='$${TAR-tar}'
AM_BACKSLASH='\'
AM_CFLAGS=''
AM_DEFAULT_V='$(AM_DEFAULT_VERBOSITY)'
AM_DEFAULT_VERBOSITY='0'
AM_LDFLAGS=''
AM_V='$(V)'
AR=''
AUTOCONF='${SHELL} /builddir/build/BUILD/rpki-client-6.7p1/missing autoconf'
AUTOHEADER='${SHELL} /builddir/build/BUILD/rpki-client-6.7p1/missing autoheader'
AUTOMAKE='${SHELL} /builddir/build/BUILD/rpki-client-6.7p1/missing automake-1.16'
AWK='gawk'
CC='cc'
CCDEPMODE=''
CFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fasynchronous-unwind-tables -fstack-clash-protection'
CPP=''
CPPFLAGS=''
CYGPATH_W='echo'
DEFS=''
DEPDIR=''
DLLTOOL=''
DSYMUTIL=''
DUMPBIN=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP=''
EXEEXT=''
FGREP=''
GREP=''
HAVE_EXPLICIT_BZERO_FALSE=''
HAVE_EXPLICIT_BZERO_TRUE=''
HAVE_PLEDGE_FALSE=''
HAVE_PLEDGE_TRUE=''
HAVE_REALLOCARRAY_FALSE=''
HAVE_REALLOCARRAY_TRUE=''
HAVE_RECALLOCARRAY_FALSE=''
HAVE_RECALLOCARRAY_TRUE=''
HAVE_SETGROUPS_FALSE=''
HAVE_SETGROUPS_TRUE=''
HAVE_SETRESGID_FALSE=''
HAVE_SETRESGID_TRUE=''
HAVE_SETRESUID_FALSE=''
HAVE_SETRESUID_TRUE=''
HAVE_STRLCAT_FALSE=''
HAVE_STRLCAT_TRUE=''
HAVE_STRLCPY_FALSE=''
HAVE_STRLCPY_TRUE=''
HAVE_UNVEIL_FALSE=''
HAVE_UNVEIL_TRUE=''
HOST_DARWIN_FALSE=''
HOST_DARWIN_TRUE=''
HOST_FREEBSD_FALSE=''
HOST_FREEBSD_TRUE=''
HOST_LINUX_FALSE=''
HOST_LINUX_TRUE=''
HOST_NETBSD_FALSE=''
HOST_NETBSD_TRUE=''
HOST_SOLARIS_FALSE=''
HOST_SOLARIS_TRUE=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
LD=''
LDFLAGS='-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
LIBOBJS=''
LIBS=''
LIBTOOL=''
LIPO=''
LN_S=''
LTLIBOBJS=''
MAKEINFO='${SHELL} /builddir/build/BUILD/rpki-client-6.7p1/missing makeinfo'
MANIFEST_TOOL=''
MKDIR_P='/usr/bin/mkdir -p'
NM=''
NMEDIT=''
OBJDUMP=''
OBJEXT=''
OPENSSL_CFLAGS=''
OPENSSL_LDFLAGS=''
OTOOL64=''
OTOOL=''
PACKAGE='rpki-client'
PACKAGE_BUGREPORT=''
PACKAGE_NAME='rpki-client'
PACKAGE_STRING='rpki-client 6.7p1'
PACKAGE_TARNAME='rpki-client'
PACKAGE_URL=''
PACKAGE_VERSION='6.7p1'
PATH_SEPARATOR=':'
RANLIB=''
RPKI_BASE_DIR=''
RPKI_OUT_DIR=''
RPKI_TAL_DIR=''
RPKI_USER=''
RSYNC=''
SED=''
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
VERSION='6.7p1'
ac_ct_AR=''
ac_ct_CC='cc'
ac_ct_DUMPBIN=''
am__EXEEXT_FALSE=''
am__EXEEXT_TRUE=''
am__fastdepCC_FALSE=''
am__fastdepCC_TRUE=''
am__include=''
am__isrc=''
am__leading_dot='.'
am__nodep=''
am__quote=''
am__tar='$${TAR-tar} chof - "$$tardir"'
am__untar='$${TAR-tar} xf -'
bindir='/usr/bin'
build='aarch64-redhat-linux-gnu'
build_alias='aarch64-redhat-linux-gnu'
build_cpu='aarch64'
build_os='linux-gnu'
build_vendor='redhat'
datadir='/usr/share'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='/usr'
host='aarch64-redhat-linux-gnu'
host_alias='aarch64-redhat-linux-gnu'
host_cpu='aarch64'
host_os='linux-gnu'
host_vendor='redhat'
htmldir='${docdir}'
includedir='/usr/include'
infodir='/usr/share/info'
install_sh='${SHELL} /builddir/build/BUILD/rpki-client-6.7p1/install-sh'
libdir='/usr/lib64'
libexecdir='/usr/libexec'
localedir='${datarootdir}/locale'
localstatedir='/var'
mandir='/usr/share/man'
mkdir_p='$(MKDIR_P)'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/usr'
program_transform_name='s&^&&'
psdir='${docdir}'
runstatedir='${localstatedir}/run'
sbindir='/usr/sbin'
sharedstatedir='/var/lib'
sysconfdir='/etc'
target_alias=''
## ----------- ##
## confdefs.h. ##
## ----------- ##
/* confdefs.h */
#define PACKAGE_NAME "rpki-client"
#define PACKAGE_TARNAME "rpki-client"
#define PACKAGE_VERSION "6.7p1"
#define PACKAGE_STRING "rpki-client 6.7p1"
#define PACKAGE_BUGREPORT ""
#define PACKAGE_URL ""
#define PACKAGE "rpki-client"
#define VERSION "6.7p1"
configure: exit 77
RPM build errors:
+ /usr/bin/make -O -j5 V=1 VERBOSE=1
make: *** No targets specified and no makefile found.  Stop.
error: Bad exit status from /var/tmp/rpm-tmp.HcEoCm (%build)
    Bad exit status from /var/tmp/rpm-tmp.HcEoCm (%build)
Child return code was: 1
EXCEPTION: [Error()]
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/mockbuild/trace_decorator.py", line 93, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.8/site-packages/mockbuild/util.py", line 776, in do_with_status
    raise exception.Error("Command failed: \n # %s\n%s" % (command, output), child.returncode)
mockbuild.exception.Error: Command failed: 
 # bash --login -c /usr/bin/rpmbuild -bb --target aarch64 --nodeps /builddir/build/SPECS/rpki-client.spec

Comment 1 Nick Clifton 2020-07-31 10:35:16 UTC
Hi Robert

> annobin: conftest.c: AArch64: The annobin plugin is out of date with respect to gcc

Which version of annobin was installed for this build ?

If it is less than 9.25-1 then please try again as the problem may be solved.

I am also building a new version for F32 (9.27-1) which contains a couple of
other fixes and may work if the 9,25-1 release does not solve the problem.

Comment 2 Nick Clifton 2020-07-31 11:04:39 UTC
Hi Robert,

  Just reproduced the problem rebuilding annobin!

  Please stand by - a fix is in the works.

Cheers
  Nick

Comment 3 Nick Clifton 2020-07-31 11:23:46 UTC
OK, I have built annobi n-9.27-1.fc32 and submitted a Bodhi request to have it installed...

Comment 4 Robert Scheck 2020-07-31 11:29:14 UTC
Why don't all of these core components (ar(1), annobin etc.) have serious test suites covering such things?

Comment 5 Ben Cotton 2020-08-11 15:32:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 6 Ben Cotton 2021-11-04 17:29:51 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2021-11-30 16:26:59 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.